headless lms

Add a module

POST /api/courses/{courseId}/modules. Add a module. Headless LMS Content API reference.

POST
/api/courses/{courseId}/modules

Requires courses:write. Added last. Returns the course's modules.

Path Parameters

courseId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/courses/string/modules" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
[  {    "orgId": "string",    "id": "string",    "courseId": "string",    "title": "string",    "seq": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}